Subject: Re: linux-next: build failure after merge of the tip tree

From: Thierry Reding <[email-masked]>
Date: Mon, 28 Oct 2013 11:18:24 +0100

On Mon, Oct 28, 2013 at 08:24:42PM +1100, Stephen Rothwell wrote:
> Hi all,
> 
> After merging the tip tree, today's linux-next build (powerpc
> ppc64_defconfig) failed like this:
> 
> In file included from /scratch/sfr/next/include/linux/mmzone.h:9:0,
>                  from /scratch/sfr/next/include/linux/gfp.h:4,
>                  from /scratch/sfr/next/include/linux/kmod.h:22,
>                  from /scratch/sfr/next/include/linux/module.h:13,
>                  from /scratch/sfr/next/block/blk-mq.c:2:
> /scratch/sfr/next/block/blk-mq.c: In function 'blk_mq_queue_enter':
> /scratch/sfr/next/include/linux/wait.h:772:2: error: expected ';' before '__ret'
>   __ret;        \
>   ^
> /scratch/sfr/next/block/blk-mq.c:108:8: note: in expansion of macro 'wait_event_interruptible_lock_irq'
>   ret = wait_event_interruptible_lock_irq(q->mq_freeze_wq,
>         ^
> /scratch/sfr/next/block/blk-mq.c:108:6: error: void value not ignored as it ought to be
>   ret = wait_event_interruptible_lock_irq(q->mq_freeze_wq,
>       ^
> 
> Caused by commit 35a2af94c7ce ("sched/wait: Make the __wait_event*()
> interface more friendly").
> 
> Since this was also in next-20131025, I applied the following merge fix
> commit for today, please fix this in the tip tree.

FWIW I got confirmation on Oct 23 that this had been committed to the
tip tree. So I guess it just wasn't pushed yet.

Thierry